%define	base_name	cow
%define	BASE_NAME	COW
%define	name		netrek-%{base_name}
%define	version		3.00
%define pre		pl3
%define release		0.%{pre}.1mdk
%define summary		Netrek COW client

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	%{BASE_NAME}.%{version}%{pre}.tar.bz2
Source1:	%{BASE_NAME}.%{version}%{pre}.doc.tar.bz2
Source2:	%{BASE_NAME}-Sound.%{version}.tar.bz2
Source3:	pixmaps.tar.bz2
Source4:	%{BASE_NAME}.icons.tar.bz2
Patch0:		%{BASE_NAME}.build.patch.bz2
Patch1:		%{BASE_NAME}.sound.patch.bz2
Url: 		http://%{base_name}.netrek.org
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Netrek is the probably the first video game which can accurately be
described as a "sport."  It has more in common with basketball than
with arcade games or Quake.  Its vast and expanding array of tactics
and strategies allows for many different play styles; the best players
are the ones who think fastest, not necessarily the ones who twitch
most effectively.  It can be enjoyed as a twitch game, since the
dogfighting system is extremely robust, but the things that really set
Netrek apart from other video games are the team and strategic
aspects.  Team play is dynamic and varied, with roles constantly
changing as the game state changes.  Strategic play is explored in
organized league games; after 6+ years of league play, strategies are
still being invented and refined.

The game itself has existed for over 10 years, and has a solid
playerbase, including some people who have been playing for nearly as
long as the game has existed.

This is a client for the multi-player game of Netrek, supporting sound,
color bitmaps recording and playback of games.

%prep
%setup -c 
%setup -c -T -D -a1
%setup -c -T -D -a2
%setup -c -T -D -a3
%setup -c -T -D -a4
%patch0
%patch1
# correct silly perms
find sound/sounds -type f -exec chmod 644 {} \;

%build
%configure
make
(cd sound/soundlib && make)

%install
# directories
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -d -m 755 $RPM_BUILD_ROOT%{_gamesbindir}
install -d -m 755 $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
install -d -m 755 $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/sounds
# binaries
install -m 755 netrek $RPM_BUILD_ROOT%{_gamesbindir}/%{base_name}
install -m 755 sound/soundlib/bgsndplay $RPM_BUILD_ROOT%{_gamesbindir}
# configuration
install -m 644 netrekrc.example $RPM_BUILD_ROOT%{_sysconfdir}/netrekrc
# resources
cp -r pixmaps/Fed $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Ind $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Kli $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Misc $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Ori $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Planets $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp -r pixmaps/Rom $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/pixmaps
cp sound/sounds/*.wav $RPM_BUILD_ROOT%{_gamesdatadir}/%{base_name}/sounds
# icons
install -D -m 644 %{base_name}_48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{base_name}.xpm 
install -D -m 644 %{base_name}_32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{base_name}.xpm 
install -D -m 644 %{base_name}_16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{base_name}.xpm
# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{base_name}"\\
	needs="X11"\\
	icon="%{base_name}.xpm"\\
	section="Amusement/Other"\\
	title="%{BASE_NAME}" \
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc CHANGES README.* TODO *.DOC XTREKRC
%doc cow.html index.html newbie.html cow.css stars.gif netrekrc.example
%config(noreplace) %{_sysconfdir}/netrekrc
%{_gamesbindir}/%{base_name}
%{_gamesbindir}/bgsndplay
%{_gamesdatadir}/%{base_name}
%{_menudir}/%{name}
%{_liconsdir}/%{base_name}.xpm
%{_iconsdir}/%{base_name}.xpm
%{_miconsdir}/%{base_name}.xpm

%changelog
* Sat Nov 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.00-0.pl3.1mdk
- first Mandrake release
